package org.dromara.ems.record.service;

import org.dromara.ems.record.domain.TWTempertureData;

import java.util.List;

/**
 * 物联网实时数据Service接口
 * 
 * @author Caoql
 * @date 2024-08-21
 */
public interface ITWTempertureDataService 
{
    /**
     * 查询物联网实时数据
     * 
     * @param objid 物联网实时数据主键
     * @return 物联网实时数据
     */
    public TWTempertureData selectTWTempertureDataByObjid(Long objid);

    /**
     * 查询物联网实时数据列表
     * 
     * @param tWTempertureData 物联网实时数据
     * @return 物联网实时数据集合
     */
    public List<TWTempertureData> selectTWTempertureDataList(TWTempertureData tWTempertureData);

    /**
     * 新增物联网实时数据
     * 
     * @param tWTempertureData 物联网实时数据
     * @return 结果
     */
    public int insertTWTempertureData(TWTempertureData tWTempertureData);

    /**
     * 修改物联网实时数据
     * 
     * @param tWTempertureData 物联网实时数据
     * @return 结果
     */
    public int updateTWTempertureData(TWTempertureData tWTempertureData);

    /**
     * 批量删除物联网实时数据
     * 
     * @param objids 需要删除的物联网实时数据主键集合
     * @return 结果
     */
    public int deleteTWTempertureDataByObjids(Long[] objids);

    /**
     * 删除物联网实时数据信息
     * 
     * @param objid 物联网实时数据主键
     * @return 结果
     */
    public int deleteTWTempertureDataByObjid(Long objid);

    /**
     * 查询实时物联网数据
     * @param tWTempertureData
     * @return
     */
    List<TWTempertureData> selectIotInstantList(TWTempertureData tWTempertureData);

    /**
     * 根据设备编号查询实时物联网设备监控数据
     * @param monitorId
     * @return
     */
    TWTempertureData selectIotInstantMinitoringData(String monitorId);

    /**
     * 查询物联网实时分组数据列表
     * @param tWTempertureData
     * @return
     */
    List<TWTempertureData> selectLastTWTempertureDataList(TWTempertureData tWTempertureData);
}
